import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement, useRef } from "react";
import { GdsFilterChips as GdsFilterChipsClass } from "../../../components/filter-chips/filter-chips.component.js";
import { getReactComponent, useControlledValue } from "../../../utils/react.js";
const GdsFilterChips = (props) => {
  GdsFilterChipsClass.define();
  const JSXElement = getReactComponent("gds-filter-chips");
  const internalRef = useRef(null);
  const ref = props.ref || internalRef;
  useControlledValue(
    ref,
    props.value,
    props.defaultValue,
    props.onChange,
    props.onInput
  );
  const { onChange, onInput, ref: _ref, ...restProps } = props;
  const propsWithClass = { ...restProps, class: props.className, ref };
  return createElement(JSXElement, propsWithClass);
};
GdsFilterChips.displayName = "GdsFilterChips";
export {
  GdsFilterChips
};
